#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################

#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;
use obbuild;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

$default_permissions = 0777;

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "") {&start;}
if ($q->param('fct') eq "set_results") {&set_results;}

##################################################################################



sub set_results
{

$results_to_list = $q->param('results');
acs::update_setting("newsubmissions_results", "$results_to_list");

&start;

}




sub start
{

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; }
 
					#0		 #1       #2    #3    #4    #5    #6    #7    #8    #9    #10   #11    #12    #13    #14    #15    #16    #17
$sql = "SELECT A.cid, A.level, A.l1, A.l2, A.l3, A.l4, A.l5, A.l6, A.l7, A.l8, A.l9, A.l10, A.l11, A.l12, A.l13, A.l14, A.l15, A.l16, 
					B.*
					FROM dirs AS A, links AS B
					WHERE
					(A.cid = B.cid)
					AND
					(B.newsubm = 'Y')
					ORDER BY B.premium DESC, B.urldate ASC";
					
$sth = $dbh->prepare($sql);
if ( !defined $dbh ) {die "Cannot connect to mSQL server: $DBI::errstr\n"; }

$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror - From: $sql";} 

$rows = $sth->rows();


####################

if ($rows == 0)
	{

$hbox = acs::get_heading_box("$web_url/ic_newsub.gif", "New Submissions", qq[
There are currently no new submissions.
]);


print qq[
<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">  
</head>
<body>
$hbox
</body>
</html>
];

	$sth->finish;
	$dbh->disconnect;
	
	exit;
	}


######## FIGURE OUT RESULTS PER PAGE

$gsettings = new_gsettings acs;  
$nsresults = $gsettings->{newsubmissions_results};
if ($nsresults eq "") { $nsresults = 50; }
####


$acnt = 0;
$total_links = 0;
$nrc = 0;


$icnt = $rows;
$nr_searchres = $nsresults;

$modp = ($icnt % $nr_searchres);
$pages = ($icnt - $modp) / $nr_searchres;
if ($modp != 0) {$pages++;}

$st = $q->param('st');
$nd = $q->param('nd');
if ($st eq ""){$st = 0;}
if ($nd eq ""){$nd = $nr_searchres;}

$ippc = 1;

##### EXTRA FIELDS/KEYS OPPS

$keydata = acs::get_file_contents("$data_dir/keys.dat");
@akeys = split(/\n/, $keydata);
$nrc = 0;


while ( @row = $sth->fetchrow() )
	{

if (($ippc > $st) and ($ippc <= $nd))
   {

	$cid = $row[1];

	### GET CATEGORY
	$cats = "";
	for ($ms = 2; $ms < 18; $ms++) 
		{
		if ($row[$ms] ne "")
			{
			$cats = $cats . $row[$ms] . "/";
			}
		}

	$ecat = "";
	@acts = split (/\//, $cats);
	foreach $citem (@acts)
		{
		$ecat = $ecat . acs::encode_dir($citem) . "-";
		}
	chop($ecat);
	
	chop($cats);
	$cat_with_link = qq[<a href="$admin_url/admin12.cgi?ct=$ecat&fct=gotocat&cid=$row[0]" target="_blank">$cats</a>];
	
	###################
	
	$sel_allv = $sel_allv . "'C" . $chbcount . "',";
	
	$checkbox_name = "C" . $chbcount;
	
	$date = acs::decode_date($row[35]);
	
	if ($row[37] eq "") { $row[37] = "N/A"; }
	
	$checkbox_name = "C" . $nrc;
	
	$prem_listingg = "";
	$prem_pos = "";


	$cur_premid = "";
	if ($row[31] > 0)
		{
		if ($row[39] > 0)
			{
			$expire_date = acs::decode_date($row[39]);
			}
			else
			{
		   $expire_date = "No Date Set";
			}
		$prem_listingg = "<img src=\"$web_url/premi2.gif\" border=\"0\">";
		$prem_pos = "<font color=\"#FF0000\"><b>Premium postion: $row[31]</b></font><br><font color=\"#FF8040\"><b>Expires: $expire_date</b></font><br>";
		$prem_ids = $prem_ids . "$row[18]-";
		$cur_premid = $row[18];
		}
	
																					### LINKID - CIDS
	#$newsub = $newsub . "<input type=\"checkbox\" name=\"$checkbox_name\" value=\"$row[18]-$row[38]\"> <a href=\"$row[23]\" target=\"_blank\">$prem_listingg <b>$row[20]</b></a><br>";
	#$newsub = $newsub . "<input type=\"checkbox\" name=\"$checkbox_name\" value=\"$row[18]-$row[19]\"> <a href=\"$row[23]\" target=\"_blank\">$prem_listingg <b>$row[20]</b></a><br>";
	$newsub = $newsub . "<a href=\"$row[23]\" target=\"_blank\"><b>$row[20]</b></a><br>";
	$newsub = $newsub . "$prem_pos";
	$newsub = $newsub . "$row[21]<Br>";
	$newsub = $newsub . "Keywords: <b>$row[22]</b><Br>";
	$newsub = $newsub . "<b>$row[23]</b><br>";
	$newsub = $newsub . "<b>$date</b><br>";
	$newsub = $newsub . "Password: $row[40]<br>";
	$newsub = $newsub . "Name: $row[26]<br>";
	$newsub = $newsub . "Email: $row[27]<br>";
	$newsub = $newsub . "<b>Category: $cat_with_link</b><br>";
	#$newsub = $newsub . "<font color=\"#FF0000\"><b>CIDS: $row[38]</b></font><br>";
	
	
	$reciplink = "";
	if ($row[43] ne "") 
		{
		$reciplink = qq[<a href="$row[43]" target="_blank" >$row[43]</a>]; 
		$newsub = $newsub . "<font color=\"#0080FF\">Recipcrocal Link: $reciplink</font><br>";
		}
	
	$newsub = $newsub . "Suggested Category: $row[37]<br>";
	


	
	
	$select_a = $select_a . "'$checkbox_name',";

	#### EXTRA FIELDS/KEY OPPS
		$fieldnr = 45;
		foreach $kitem (@akeys)
		{
		($keyname, $visible, $size, $searched, $description, $na, $imagef, $numberfield, $req) = split (/\t/, $kitem); 
	
		if ($numberfield eq "Upload")
			{
			if ($row[$fieldnr] ne "")
				{
				$extr_filename = "$web_url/imagefiles/$row[18]/$keyname" . "." . $row[$fieldnr];
				$newsub = $newsub . qq[<font color="#804040"><b>$description</b>: <a href="$extr_filename" target="_blank">$keyname.$row[$fieldnr]</a></font><br>];
				}
				else
				{
				$newsub = $newsub . qq[<font color="#804040"><b>$description</b>: $na</font><br>];
				}
			}
		elsif ($imagef ne "Yes")
			{
			$newsub = $newsub . "<font color=\"#8080C0\"><b>$description</b>: $row[$fieldnr]</font><br>";
			}
		elsif (($imagef eq "Yes") and ($row[$fieldnr] ne ""))
			{
			$newsub = $newsub . "<img src=\"$row[$fieldnr]\"><br>";
			}
		$fieldnr++;
		}
		

	if ($row[44] ne "") {$newsub = $newsub . "<font color=\"#FF8000\">IP: $row[44]</font><BR>"; } 


	$user_account_jump = "";
	if ($row[34] > 0) ### IF USER ACCOUNT EXISTS FOR LINK
		{
		$user_account_jump = qq[[<a href="$admin_url/admin55.cgi?fct=editacc&userid=$row[34]" onClick="popup('$admin_url/admin55.cgi?fct=editacc&userid=$row[34]',750,600);return false;">User Account</a>]];
		}

	
	$imagedis = "";

	 if ($row[24] ne "")
		{
		
			if ((lc($row[24]) eq "tif") or (lc($row[24]) eq "png") or (lc($row[24]) eq "jpg") or (lc($row[24]) eq "jpeg") or (lc($row[24]) eq "gif") or (lc($row[24]) eq "bmp"))
			{

				if (($gsettings->{image_width} > 0) and ($gsettings->{image_height} > 0))
				{
				$width = $gsettings->{image_width};
				$height = $gsettings->{image_height};
				$imgwh = qq[width="$width" height="$height"];
				}
			
			$imagedis = qq[<BR><img src="$web_url/imagefiles/$row[18].$row[24]" $imgwh><BR><BR>];
			}
			else
			{
			$imagedis = qq[<b>File:</b> <a href="$web_url/imagefiles/$row[18].$row[24]" target="_blank">$row[18].$row[24]</a><BR><BR>];
			}

		
		
		}


#$admin_url/admin12.cgi?ct=$ecat&fct=Delete&cid=$row[0]&C0=$row[18]

$newsub = $newsub . <<DFUNCTIONS;
<b>
[<a href="$admin_url/admin12.cgi?ct=$ecat&fct=Edit&cid=$row[0]&C0=$row[18]" onClick="popup('$admin_url/admin12.cgi?ct=$ecat&fct=Edit&cid=$row[0]&C0=$row[18]',screen.width-250,screen.height-250);return false;">Edit</a>] 
[<a href="$admin_url/admin12.cgi?ct=$ecat&fct=Move&cid=$row[0]&C0=$row[18]" onClick="popup('$admin_url/admin12.cgi?ct=$ecat&fct=Move&cid=$row[0]&C0=$row[18]',screen.width-250,screen.height-250);return false;">Assign Different Category</a>]
[<a href="$admin_url/admin12.cgi?ct=$ecat&fct=Delete&cid=$row[0]&C0=$row[18]&del_only_one=true" onClick="popup('$admin_url/admin12.cgi?ct=$ecat&fct=Delete&cid=$row[0]&C0=$row[18]&del_only_one=true',600,400);return false;">Delete</a>] $user_account_jump 
      [<a href="$admin_url/admin22.cgi?dropdown=Approve_Email&C0=$row[18]-$row[0]&itemnrs=0&B1=Submit&indiv=true&premids=$cur_premid" 
onClick="popup('$admin_url/admin22.cgi?dropdown=Approve_Email&C0=$row[18]-$row[0]&itemnrs=0&B1=Submit&indiv=true&premids=$cur_premid',600,400);return false;">Approve With Email</a> ]

      [<a href="$admin_url/admin22.cgi?dropdown=Approve&C0=$row[18]-$row[0]&itemnrs=0&B1=Submit&indiv=true" 
onClick="popup('$admin_url/admin22.cgi?dropdown=Approve&C0=$row[18]-$row[0]&itemnrs=0&B1=Submit&indiv=true',600,400);return false;">Approve Without Email</a> ]
</b>
<Br> 
DFUNCTIONS

$newsub_real = $newsub_real . qq[
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr><td width="1%" valign="top"><input type="checkbox" name="$checkbox_name" value="$row[18]-$row[19]"><BR>$prem_listingg</td><td width="99%">
<span class="normaltext">$newsub $imagedis</span>
</td></tr></table><BR><BR>
];




		
		$newsub = "";
		#$newsub = $newsub ."<br>";
		

	$nrc++;
	
	}
	$ippc++;
	
	}

$sth->finish;
$dbh->disconnect;

$select_a = substr($select_a, 0, length($select_a) - 1);

### PRINT TOP OF PAGE

$nrc = $nrc - 1;



#### PAGES 

for ($ms = 0; $ms < $pages; $ms++) 
	{
	$pg = $ms + 1;
	if ($nd == ($pg * $nr_searchres))
		{
		$pgstring = $pgstring . " [$pg] ";
		$targpage = $pg;
		}
	  	else
		{
		$st1 = ($pg * $nr_searchres) - $nr_searchres;
		$nd1 = ($pg * $nr_searchres);
		$pgstring = $pgstring . "<a href=\"$admin_url/admin20.cgi?st=$st1&nd=$nd1\">$pg</a> ";
		}
	}

if ($pages > 1)
	{
	$pgstring = "Pages: " . $pgstring;
	}
	else
	{
	$pgstring = "";
	}



### PREV NEXT PAGES

$spls = $modp;
if ($spls == 0){$spls++;}

 if ($nd <= ($icnt - $spls))
 	{
	$st1 = $st + $nr_searchres;
	$nd1 = $nd + $nr_searchres;
	$nextt = "<a href=\"$admin_url/admin20.cgi?st=$st1&nd=$nd1\">Next Page >></a> ";
	}

 if ($st > 0)
	 	{
		$st1 = $st - $nr_searchres;
		$nd1 = $nd - $nr_searchres;
		$prev = "<a href=\"$admin_url/admin20.cgi?st=$st1&nd=$nd1\"><< Prev Page</a> ";
		}

if (($prev ne "") and ($nextt ne ""))
	{
	$spcer = " | ";
	}
	else
	{
	$spcer = " ";
	}
	  
	$prevnext = $prev . "$spcer" . $nextt;

	if (length($prevnext) > 5){$myspacer = " | ";}

if ($rows > 0)
	{
	$prnxt =  "$prevnext $myspacer Page $targpage of $pg";
	}





$hbox = acs::get_heading_box("$web_url/ic_newsub.gif", "New Submissions", qq[
<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr><td width="50%"><div align="right">
  <table border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
      <td width="50%" class="normaltext"><strong>$rows links that needs approval</strong></td>
      <td width="50%" class="normaltext"><div align="right">
        <table border="0" cellpadding="2" cellspacing="0"
    width="50">
            <tr>
              <td><select name="results" size="1" style="font-family: MS Sans Serif; font-size: 8pt">
                  <option value="10"> List 10 Results Per Page </option>
                  <option value="20"> List 20 Results Per Page </option>
                  <option value="30"> List 30 Results Per Page </option>
                  <option value="50"> List 50 Results Per Page </option>
                  <option value="100"> List 100 Results Per Page </option>
                  <option value="200"> List 200 Results Per Page </option>
                  <option value="400"> List 400 Results Per Page </option>
                  <option value="500"> List 500 Results Per Page </option>
                  <option value="500"> List 1000 Results Per Page </option>
              </select></td>
              <td><input type="submit" value="   Go   " name="B1"
        style="font-family: MS Sans Serif; font-size: 8pt"></td>
            </tr>
          </table>
      </div></td>
    </tr>
  </table>
</div></td>
  </tr>
</table>
]);


$hbox2 = qq[
<form method="POST" action="$admin_url/admin20.cgi">
  <input type="hidden" name="fct" value="set_results">
  $hbox
</form>
];


print qq[<html>
<head>
<title>PowerSeek</title>
<link href="$web_url/ps.css" rel="stylesheet" type="text/css">  
<script LANGUAGE="JavaScript">
<!-- Hide

function checkall(formname,thestate)
	{
	BoxNames=new Array($select_a)
	for (c=0;c < BoxNames.length; c++)
		{
		boxname = eval("document." + formname + "." + BoxNames[c])
		boxname.checked = thestate
		}
	}

 // End Hide -->


  function popup(loc,ww,hh)
   {
    var mywidth = (ww + 0);
    var myheight = (hh + 0);
    var myspecs = "'menubar=0,status=1,resizable=1,location=0,titlebar=1,toolbar=1,scrollbars=1,width=" + mywidth + ",height=" + myheight + "'";
	var random = parseInt(Math.random()*10000)

	  var popupwin = null;
      myWindow = open (loc, popupwin + random, myspecs);
      myWindow.moveTo(100,40);
      myWindow.focus();

    }
</script>
 
</head>
<body>

$hbox2

<form name="select_all" method="POST" action="$admin_url/admin22.cgi">
  <input type="hidden" name="itemnrs" value="$nrc">
  <input type="hidden" name="premids" value="$prem_ids">
  

  <div align="center"><center><table border="0" cellpadding="4" cellspacing="0" width="100%">
    <tr>
      <td width="50%" class="normaltext"><strong>$rows links that needs approval</strong></td>
      <td width="49%" class="normaltext" align="right">$prnxt</td>
    </tr>
    <tr>
      <td width="99%" colspan="2" class="normaltext">$pgstring </td>
    </tr>
    <tr>
      <td width="99%" colspan="2" class="normaltext"><select name="dropdown2" size="1"
      style="font-family: MS Sans Serif; font-size: 8pt">
        <option value="Approve_Email"> Approve For Inclusion in Directory (Send Approval Email) </option>
        <option value="Approve"> Approve For Inclussion in Directory (Don't Send Approval Email) </option>
        <option value="Delete_Email"> Delete (Send Submission Rejection Email) </option>
        <option value="Delete"> Delete (Don't Send Rejection Email) </option>
        <option value="Move_Email"> Move Checked Items (Send Approval Email) </option>
        <option value="Move"> Move Checked Items </option>
        <option value="Edit"> Edit Checked Items </option>
      </select> <input type="submit" value="Submit" name="B3"
      style="font-family: MS Sans Serif; font-size: 8pt"> </td>
    </tr>
    <tr>
      <td width="99%" colspan="2" class="normaltext"><select name="blocking2" size="1"
      style="font-family: MS Sans Serif; font-size: 8pt">
        <option value="domain_email_ip"> Delete Submission(s) &amp; Block Domain &amp; Email &amp; IP Address </option>
        <option value="domain_email"> Delete Submission(s) &amp; Block Domain &amp; Email </option>
        <option value="domain"> Delete Submission(s) &amp; Block Domain </option>
        <option value="emailspam"> Delete Submission(s) &amp; Block Email </option>
        <option value="ip"> Delete Submission(s) &amp; Block IP Address </option>
      </select> <input type="submit" value="Block" name="B4"
      style="font-family: MS Sans Serif; font-size: 8pt"> (Use of this function will add filters
      to the <a href="$admin_url/admin60.cgi"
      onClick="popup('$admin_url/admin60.cgi',800,600);return false;">Spam Filter </a>) </td>
    </tr>
    <tr>
      <td width="99%" colspan="2" class="normaltext"><a
      href="javascript:checkall('select_all',true)"><strong>Check All </strong></a>| <strong><a
      href="javascript:checkall('select_all',false)">UnCheck All </a></strong></td>
    </tr>
  </table>
  </center></div><hr size="1" color="#E8E8E8">
  <p>$newsub_real </p>
  <hr size="1" color="#E8E8E8">
  <div align="center"><center><table border="0" cellpadding="4" cellspacing="0" width="100%">
    <tr>
      <td width="99%" class="normaltext"><a href="javascript:checkall('select_all',true)"><strong>Check
      All </strong></a>| <strong><a href="javascript:checkall('select_all',false)">UnCheck All </a></strong></td>
    </tr>
    <tr>
      <td width="99%" class="normaltext"><select name="dropdown" size="1"
      style="font-family: MS Sans Serif; font-size: 8pt">
        <option value="Approve_Email"> Approve For Inclusion in Directory (Send Approval Email) </option>
        <option value="Approve"> Approve For Inclussion in Directory (Don't Send Approval Email) </option>
        <option value="Delete_Email"> Delete (Send Submission Rejection Email) </option>
        <option value="Delete"> Delete (Don't Send Rejection Email) </option>
        <option value="Move_Email"> Move Checked Items (Send Approval Email) </option>
        <option value="Move"> Move Checked Items </option>
        <option value="Edit"> Edit Checked Items </option>
      </select> <input type="submit" value="Submit" name="B1"
      style="font-family: MS Sans Serif; font-size: 8pt"> </td>
    </tr>
    <tr>
      <td width="99%" class="normaltext"><select name="blocking" size="1"
      style="font-family: MS Sans Serif; font-size: 8pt">
        <option value="domain_email_ip"> Delete Submission(s) &amp; Block Domain &amp; Email &amp; IP Address </option>
        <option value="domain_email"> Delete Submission(s) and Block Domain &amp; Email </option>
        <option value="domain"> Delete Submission(s) and Block Domain </option>
        <option value="emailspam"> Delete Submission(s) and Block Email </option>
        <option value="ip"> Delete Submission(s) &amp; Block IP Address </option>
      </select> <input type="submit" value="Block" name="B2"
      style="font-family: MS Sans Serif; font-size: 8pt"> (Use of this function will add filters
      to the <a href="$admin_url/admin60.cgi"
      onClick="popup('$admin_url/admin60.cgi',800,600);return false;">Spam Filter </a>) </td>
    </tr>
    <tr>
      <td width="99%" class="normaltext">$pgstring </td>
    </tr>
    <tr>
      <td width="99%" class="normaltext">$prnxt </td>
    </tr>
  </table>
  </center></div>
</form>



<table border="0" cellpadding="6" cellspacing="1" width="100%"
style="border: 1px solid rgb(221,221,221)">
  <tr>
    <td width="50%" height="30" background="$web_url/bar6.gif" class="normaltext"><strong>Quick
    Links </strong></td>
    <td width="49%" height="30" background="$web_url/bar6.gif" class="normaltext"></td>
  </tr>
  <tr>
    <td width="50%" class="normaltext"><ul>
      <li><strong><a href="$admin_url/admin8.cgi">Generate HTML Files </a></strong></li>
      <li><strong><a href="$admin_url/admin10.cgi?fct=global_settings#5" target="_blank">New
        Submission Settings </a></strong></li>
    </ul>
    </td>
    <td width="49%" class="normaltext"></td>
  </tr>
  <tr>
    <td width="50%" class="normaltext"><ul>
      <li><a href="$admin_url/admin21.cgi?fct=edit_welcome&amp;from=newsb" target="_blank">Edit
        New Submission Welcome Email </a></li>
      <li><a href="$admin_url/admin21.cgi?fct=edit_newsub_accept&amp;from=newsb" target="_blank">Edit
        New Submission Acceptance Email</a></li>
      <li><a href="$admin_url/admin21.cgi?fct=edit_submissionreject&amp;from=newsb"
        target="_blank">Edit New Submission Rejection Email</a></li>
      <li><a href="$admin_url/admin21.cgi?fct=edit_submissioninform&amp;from=newsb"
        target="_blank">Edit New Submission Informer Email</a></li>
    </ul>
    </td>
    <td width="49%" class="normaltext"><ul>
      <li><a href="$admin_url/admin24.cgi?fct=edit_welcome&amp;from=newsb" target="_blank">Edit
        New Premium Submission Welcome Email</a></li>
      <li><a href="$admin_url/admin24.cgi?fct=edit_newsub_accept&amp;from=newsb" target="_blank">Edit
        New Premium Submission Acceptance Email</a></li>
      <li><a href="$admin_url/admin24.cgi?fct=edit_submissionreject&amp;from=newsb"
        target="_blank">Edit New Premium Submission Rejection Email</a></li>
      <li><a href="$admin_url/admin24.cgi?fct=edit_submissioninform&amp;from=newsb"
        target="_blank">Edit New Premium Submission Informer Email</a></li>
    </ul>
    </td>
  </tr>
</table>


</body>
</html>

];

}


####################################################################################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

